Package net.rubygrapefruit.platform.internal

# Class TerminfoTerminals

java.lang.Object
net.rubygrapefruit.platform.internal.AbstractTerminals
net.rubygrapefruit.platform.internal.TerminfoTerminals

All Implemented Interfaces:
  `NativeIntegration`, `Terminals`

public class TerminfoTerminals extends AbstractTerminals

## Nested Class Summary

## Nested classes/interfaces inherited from interface net.rubygrapefruit.platform.Terminals

`Terminals.Output`

## Constructor Summary

Constructors
Constructor
Description
`TerminfoTerminals()`

## Method Summary

Modifier and Type
Method
Description
`protected AbstractTerminal`
`createTerminal(Terminals.Output output)`
`boolean`
`isTerminal(Terminals.Output output)`
Returns true if the given output is attached to a terminal.

### Methods inherited from class net.rubygrapefruit.platform.internal.AbstractTerminals

`getTerminal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TerminfoTerminals

public TerminfoTerminals()

## Method Details

### isTerminal

public boolean isTerminal(Terminals.Output output)
Description copied from interface: `Terminals`
Returns true if the given output is attached to a terminal.

### createTerminal

protected AbstractTerminal createTerminal(Terminals.Output output)

Specified by:
  `createTerminal` in class `AbstractTerminals`